.dark{
    background-color: #212121;
    color: #1ED760;
}

#title-banner{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

img {
    height: 60px;
    width: 60px;
    padding: 5px;
    position: relative;
    display: flex;
}

body{
    font-family: 'Fjalla One', sans-serif;
    padding-bottom: 3%;
}

h1 {
    color:  #1ED760; 
    font-family: 'Fjalla One', sans-serif;
    font-size: 60px;
    border-radius: 15px;
    position: relative;
    top: 5%;
    display: flex;
    margin: 2% 0% 2%;
}

h2 {
    /* background-color: #000000; */
    color:#1ED760; 
    font-family: 'Fjalla One', sans-serif;
    display: inline;
    border-radius: 15px;
    position: relative;
    display: flex;
    justify-content: center; 
}
    .switch{
        top: -3px;
    }

.controls{
    display: flex;
    flex-direction :column;
}

button {
    background-color: #eff1ef00;
    color: #aebab2;
    border: 2.5px solid #cdd8d1;
    font-size: 18px;
    font-family: 'Fjalla One', sans-serif;
    height: 170px;
    width: 100px;
    border-top-left-radius: 15px;
    border-bottom-left-radius: 15px;
}

#chart{
    position: relative;
}
    #switchButton{
        position: absolute;
        right: 3%;
        bottom: 8%;
        height: 40px;
        width: 40px;
        border: 1px solid #cdd8d1;
        border-radius: 20px;
        font-size: 10px;
    }

button:hover {
    background-color: #1ED760;
    color :white;
    font-family: 'Fjalla One', sans-serif;
    border: none;
    transition-duration: 0.5s;
    cursor: pointer;
}

button:focus {
    background-color: #1ED760;
    color :white;
    font-family: 'Fjalla One', sans-serif;
    border: none;
}

/* 使用flex排版 */
.setup {
    /* border : solid 5px #FFAC12; */
    height: 950px;
    position: relative;
    top: -5%;
    margin: 2%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center; 
}

svg{
    border: 5px solid #1ED760;
    border-top-right-radius: 15px;
    border-bottom-right-radius: 15px;
    /* width: 100%; */
}

.axis .domain{
    stroke: none
}

.x line{
    stroke: white
}

/*interactive 詳細資訊視窗設定*/
.tooltip{
    position: fixed;
    opacity: 0;
    pointer-events: none;
    background: #eee;
    max-width: 200px;
}

.tip-header{
    border-bottom: 2px solid white;
    padding: 0.9rem 1rem;
}

.tip-body{
    padding: 0.2rem 0;     
}

h3,h4{
    font-size: 0.9rem;
    color:#555;
    margin:0;
}

h4{
    font-weight: normal;
}

.tip-info{
    margin:0;
    padding: 0.3rem 1em;
    font-size: 0.8em;
}


/* 切換按鈕特效 */
/* The switch - the box around the slider */
.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
  }
  
/* Hide default HTML checkbox */
.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}
  
/* The slider */
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}
  
.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}
  
input:checked + .slider {
    background-color: #1ED760;
}
  
input:focus + .slider {
    box-shadow: 0 0 1px #1ED760;
}
  
input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}
  
/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}
  
.slider.round:before {
    border-radius: 50%;
}

/*偶數元素設定不同背景樣式*/
.tip-info:nth-of-type(even){
    background: #e0e0e0;
}


/*音樂撥放配置*/
.music-item {
    display: flex;
    align-items: center;
    margin-bottom: 10px;
}

.music-item button {
    margin-left: 10px;
}

/* 容納影片 */   
#youtube-container{
    display: flex;
    justify-content: center;
    position: relative;
    top: 3%;
    /* border: 3px solid #1ED760; */
    border-radius: 5px;
    background: #efefefef;
    /* height: 955px; */
    height: 430px;
    width: 700px;
}

h4{
    font-size: 19px;
    position: absolute;
    top: 6%;
}

#videoLink{
    position: relative;
    top: 3%;
    /* opacity: 0%; */
}

iframe.youtube-iframe{
    display: flex;
    justify-content: center; 
    position: absolute;
    top: 17%;
    max-height: 100%;
    max-width: 100%;
}


#thumbnail {
    position: absolute; /* 設定縮圖為絕對定位，以便設定寬度和高度 */
    /* width: 50%; /* 設定縮圖的寬度為容器的100% */
    /* height: 50%; /* 設定縮圖的高度為容器的100% */
    width: 560px;
    height: 315px;
    border: none;
    bottom: 5%;
    object-fit: cover; /* 使用 object-fit: cover 以保持縮圖比例並填滿容器 */
    /* transform: translateX(-90%); 將圖片往左移動50%的寬度 */
}

@media screen and (min-width: 992px) and (max-width: 1400px){
    svg{
        border: 5px solid #1ED760;
        border-radius: 15px;
    }
    .controls{
        display: inline;
        margin: 0px 0px 15px; /* 上 左右 下 */
    }
    button{
        background-color: #eff1ef00;
        color: #aebab2;
        font-size: 18px;
        font-family: 'Fjalla One', sans-serif;
        height: 50px;
        width: 120px;
        border-radius: 15px;
    }
    button:hover{
        background-color: #1ED760;
        color :white;
        font-family: 'Fjalla One', sans-serif;
        border: none;
        transition-duration: 0.5s;
        cursor: pointer;
    }
    button:focus {
        background-color: #1ED760;
        color :white;
        font-family: 'Fjalla One', sans-serif;
        border: none;
    }

    #pop, #genre, #artist{
        margin: 10px 30px;
    }
}

@media screen and (max-width: 991.99px){
    svg{
        border: 5px solid #1ED760;
        border-radius: 15px;
    }
    .controls{
        display: inline;
        margin: 0px 0px 15px; /* 上 左右 下 */
    }
    button{
        background-color: #eff1ef00;
        color: #aebab2;
        font-size: 18px;
        font-family: 'Fjalla One', sans-serif;
        height: 60px;
        width: 100px;
        border-radius: 15px;
    }
    button:hover{
        background-color: #1ED760;
        color :white;
        font-family: 'Fjalla One', sans-serif;
        border: none;
        transition-duration: 0.5s;
        cursor: pointer;
    }
    button:focus {
        background-color: #1ED760;
        color :white;
        font-family: 'Fjalla One', sans-serif;
        border: none;
    }
    #pop, #genre, #artist{
        margin: 10px 20px;
    }  
}

  
/* 在不同螢幕寬度下調整內容的佈局 */
/* @media screen and (min-width: 1500px){
    .screensize {
        max-width: 100%; 縮小容器的寬度
    }
} */

/* @media screen and (min-width: 992px) and (max-width: 1199.99px){
    .screensize {
        max-width: 90%; 縮小容器的寬度
    }
} */

/* @media screen and (min-width: 768px) and (max-width: 991.99px){
    .screensize {
        max-width: 80%; 縮小容器的寬度
    }
} */

/* @media screen and (min-width: 480px) and (max-width: 767.99px){
    .screensize {
        max-width: 70%; 縮小容器的寬度
    }
} */
/* 在更小的螢幕寬度下進一步調整內容的佈局 */
/* @media screen and (max-width: 479.99px) {
    .screensize {
        padding: 10px; 縮小內距
    }
} */

/* .screensize{
    position: relative;
    top: 30%;  
    left: 2%;
} */